(* Debug *)
(* $Id: debug.ml,v 1.2 2004/10/24 20:27:24 berke Exp $ *)

let sf = Printf.sprintf;;

let level = ref 0;;

let enable = ref false;;

let debug l x =
  if !enable && l >= !level then
    begin
      Printf.eprintf "debug(%03d): %s\n%!" l x
    end
  else
   ()
;;
